https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/versionsReturns all versions in a project. The response is not paginated. Use Get project versions paginated if you want to get the versions in a project with pagination. This operation can be accessed anonymously. **Permissions required:** *Browse Projects* project permission for the project.
The project ID or project key (case sensitive).
Use [expand](#expansion) to include additional information in the response. This parameter accepts `operations`, which returns actions that can be performed on the version.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/versions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/versionsReturns all versions in a project. The response is not paginated. Use Get project versions paginated if you want to get the versions in a project with pagination. This operation can be accessed anonymously. **Permissions required:** *Browse Projects* project permission for the project.
The project ID or project key (case sensitive).
Use [expand](#expansion) to include additional information in the response. This parameter accepts `operations`, which returns actions that can be performed on the version.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/versions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}